%define major 0
%define libname %mklibname mspack %{major}
%define develname %mklibname mspack -d
%define rel 1

Summary:	Library for CAB and related files compression and decompression
Name:		libmspack
Version:	0.9.1
Release:	%mkrel -c alpha %{rel}
Group:		System/Libraries
License:	LGPLv2
URL:		http://www.cabextract.org.uk/libmspack/
Source0:	http://www.cabextract.org.uk/libmspack/%{name}-%{version}alpha.tar.gz
BuildRequires:	doxygen

%description
The purpose of libmspack is to provide both compression and decompression of
some loosely related file formats used by Microsoft.

%package -n	%{libname}
Summary:	Library for CAB and related files compression and decompression
Group:		System/Libraries

%description -n	%{libname}
The purpose of libmspack is to provide both compression and decompression of
some loosely related file formats used by Microsoft.

%package -n	%{develname}
Summary:	The development libraries and header files for libmspack
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains libraries, header files and documentation for developing
applications that use %{name}.

%prep

%setup -q -n %{name}-%{version}alpha
%autopatch -p1

chmod a-x mspack/mspack.h

%build
autoreconf -vfi

%configure2_5x \
    --disable-static \
    --disable-silent-rules
%make_build

%install
%make_install


iconv -f ISO_8859-1 -t utf8 ChangeLog --output Changelog.utf8
touch -r ChangeLog Changelog.utf8
mv Changelog.utf8 ChangeLog

pushd doc
doxygen
find html -type f | xargs touch -r %{SOURCE0}
rm -f html/installdox
popd

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README TODO COPYING.LIB ChangeLog AUTHORS
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc doc/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Nov 15 2018 daviddavid <daviddavid> 0.9.1-0.alpha.1.mga6
+ Revision: 1330043
- new version: 0.9.1alpha (mga#23365#c18)
- new version: 0.8alpha, fixes CVE-2018-14679 and CVE-2018-1468[0-2] (mga#23365)
+ neoclust <neoclust>
- Add debian patch fix rejcetion of empty strings
  Add P2 - Fixes CVE-2017-11423 (mga#21556)
  Add P3 - Fixes CVE-2017-6419 (mga#21556)'

* Wed Mar 09 2016 pterjan <pterjan> 0.5-0.2.alpha.mga6
+ Revision: 988481
- Make the package compatible with the mass rebuild

* Sat Sep 12 2015 ovitters <ovitters> 0.5-0.1.alpha.mga6
+ Revision: 878513
+ rebuild (emptylog)

* Fri Feb 06 2015 oden <oden> 0.5-0.1.alpha.mga5
+ Revision: 813673
- imported package libmspack

